let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/vw36vzq1x54ci7ai2md1v7dr4nap3dqg-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/kwy5fazaq5s0kqhv95xqz1fz3x434v34-coreutils-8.32/bin";
  bzip2 = "/nix/store/js8vpji4h0r324sm1389awh3wpc1rd3n-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/xh06d3cvwaln5bmal0g8zsqdhkmharmf-gzip-1.10/bin/gzip";
  xz = "/nix/store/cbnxrh442wab6p4i3j0g3gck3mjb0z4k-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/xga99lm270d254slyxycbmwlkrw2mfvl-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/kwy5fazaq5s0kqhv95xqz1fz3x434v34-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/j7a6bqvgsy75jwi3js9594c9820d7ycx-nix-2.3.17/bin";
  nixPrefix = "/nix/store/j7a6bqvgsy75jwi3js9594c9820d7ycx-nix-2.3.17";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/j7a6bqvgsy75jwi3js9594c9820d7ycx-nix-2.3.17/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
